# [for (X)Emacs] -*- coding: utf-8 -*-

%define	apelver	10.4
%define sumo_ver 2003-08-31
%define pkgdir %{_datadir}/xemacs

Summary: A different version of Emacs.
Name: xemacs
Version: 21.4.13
Release: 2.ent.2AX
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.xemacs.org/xemacs-21.4/xemacs-%{version}.tar.bz2
Source1: ftp://ftp.xemacs.org/packages/xemacs-sumo-%{sumo_ver}.tar.bz2
Source2: ftp://ftp.xemacs.org/packages/xemacs-mule-sumo-%{sumo_ver}.tar.bz2 
Source6: xemacs.desktop
Source9: xemacs-sitestart.el
Source15: Emacs.ad.Big5
Source16: Emacs.ad.Japanese
Source20: Emacs.ad.GB2312
Source21: Emacs.ad.Korean
#Used for cleaning finder-inf.el when it needs compilation
Source22: delprevline.py
Source23: dotxemacs-init.el
Source24: default.el
# core patches
Patch5: xemacs-21-cursor.patch
Patch10: xemacs-21.4.10-find-paths-pkgdir.patch
Patch11: movemail-mktemp.patch
Patch13: configure-ppc-ldscript.patch
Patch14: menubar-games.patch
Patch15: xemacs-21.4.12-find-paths-libexec-lib64.patch
Patch16: xemacs-21.4.12-mk-nochk-features.patch
Patch18: xemacs-21.4.13-dump-paths-lispdir.patch
Patch19: xemacs-21.4.13-utf8-fontsets.patch
# sumo patches
Patch106: auctex-texsite-jlatex-detect-69129.patch
Patch107: auctex-texjp-platex.patch
Patch108: egg-wnn-host-unix-79826.patch
Patch111: browse-url-htmlview-84262.patch
Patch112: psgml-browsers-84262.patch
Patch113: jde-ug-rel-links.patch
Patch114: jde-ug-section-links-89499.patch
Patch115: avoid-catch-error-65346.patch
URL: http://www.xemacs.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl python autoconf213
BuildRequires: openldap-devel XFree86-devel ncurses-devel krb5-devel
BuildRequires: pam-devel zlib-devel libjpeg-devel glibc-devel 
BuildRequires: Canna-devel >= 3.6-13 
BuildRequires: libpng-devel libtiff-devel 
BuildRequires: postgresql-devel db4-devel
%{?_with_gtk:BuildRequires: gtk+-devel}
%{!?_with_gtk:BuildRequires: Xaw3d-devel}
Requires(post,preun): info
Requires: apel-xemacs >= %{apelver}
Requires: ctags openldap XFree86-libs ncurses zlib libjpeg db4 Canna libpng postgresql-libs libtiff
%{?_with_gtk:Requires: gtk+}
%{!?_with_gtk:Requires: Xaw3d}
Obsoletes: xemacs-extras xemacs-noX xemacs-X11 xemacs-mule xemacs-static
Provides: ruby-mode-xemacs
Obsoletes: ruby-mode-xemacs

%description
XEmacs (like GNU Emacs) is a self-documenting, customizable,
extensible, real-time display editor. XEmacs is self-documenting
because at any time you can type control-h to find out what your
options are or find out what a command does. XEmacs is customizable
because you can change the definitions of XEmacs commands. XEmacs is
extensible because you can write entirely new commands-programs in the
Lisp language to be run by Emacs' own Lisp interpreter. XEmacs
includes a real-time display, which means that the text being edited
is visible on the screen and is updated very frequently (usually after
every character or pair of characters) as you type.

This XEmacs distribution consists of three RPMs: xemacs (the main
portion, including the standard XEmacs binary which most people use),
xemacs-el (elisp sources, which you only need if you are going to
program with Lisp in XEmacs), and xemacs-info (optional information
about XEmacs).

%package el
Summary: The .el source files for XEmacs.
Group: Applications/Editors
Requires: xemacs = %{version}
Obsoletes: xemacs-sumo-el
%description el
xemacs-el is not needed to run XEmacs. You only need to install it if
you are planning to incorporate some Lisp programming into your XEmacs
experience.

%package info
Summary: Information files for XEmacs.
Group: Applications/Editors
Requires: xemacs = %{version}
%description info
This package contains optional information files that are distributed
with the XEmacs text editor.


%prep
%setup -q -a1 -a2

## core patches
%patch5 -p1
# make find-paths.el look in datadir
rm lisp/find-paths.elc
%patch10 -p1 -b .pkgdir
# fix "libexec" on multilib
%ifarch x86_64 s390x
%patch15 -p1 -b .lib64
%endif
%patch11 -p1 -b .mkstemp
#ifarch ppc
# avoid ppc.ldscript
%patch13 -p1 -b .ppcldscript
# patch 13 touches configure.in
autoconf-2.13
#endif
# remove game we shouldn't ship
%patch14 -p1 -b .games
# skip redundant check-features
%patch16 -p1 -b .feature-chk
# make lisp dir and mule-lisp dir be the source lisp dirs (not in datadir)
%patch18 -p1 -b .lispdir
rm lisp/dump-paths.elc
perl -pi -e "s|\@srcdir\@|$PWD|" lisp/dump-paths.el
# fix missing charsets warning with Xaw/UTF-8
%patch19 -p1 -b .fontsets

## sumo patches
# fix jlatex autodetection
%patch106 -p0
# use ptex rather jtex by default for Japanese
%patch107 -p0
# make egg-wnn use unix domain socket by default
%patch108 -p0
# default to htmlview as generic browse-url browser
%patch111 -p0
# update psgml-html preview menu to modern browsers
%patch112 -p0
# fix relative links to elisp in user-guide html doc
%patch113 -p0
# and section links in toc
%patch114 -p0
# catch harmless errors in mouse-avoidance-too-close-p (avoid.el)
%patch115 -p0

%build
export CFLAGS="${CFLAGS:-%optflags}"
# XEmacs still uses Autoconf 2.13
# and doesn't know --sbindir, --sysconfdir, --includedir, --libexecdir, --localstatedir, --sharedstatedir
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--datadir=%{_datadir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--infodir=%{_infodir} \
	--with-gpm=no \
	--with-sound=native \
	--with-pop \
	--mail-locking=lockf \
	--with-clash-detection \
	%{?_without_debug:--debug=no} \
	%{!?_without_debug:--debug=yes} \
	--with-mule=yes \
	--with-database=berkdb \
	--with-ldap=yes \
	--with-hesiod=no \
	--with-canna=yes \
	--with-wnn=no \
	--with-xim=xlib	\
	%{?_with_gtk} \
	%{!?_with_gtk: --with-athena=3d --with-widgets=athena --with-menubars=lucid --with-scrollbars=lucid --with-dialogs=athena } \
	--with-msw=no \
	--with-xfs=yes \
%ifarch alpha ia64 ppc64
	--with-system-malloc \
%endif
	--pdump

# toplevel smp build fails
make %{?_smp_mflags} -C lib-src
make src/Emacs.ad.h
make %{?_smp_mflags} -C src

%define _xemacs_inplace src/xemacs -batch -vanilla
# remove apel since it is now in apel-xemacs
%_xemacs_inplace -l package-admin -eval "(package-admin-delete-binary-package 'apel \"xemacs-packages\")"
# remove game we shouldn't ship
rm xemacs-packages/lisp/games/tetris.el*

%_xemacs_inplace -no-autoloads -eval "(setq make-backup-files nil)" -f batch-update-directory xemacs-packages/lisp/* mule-packages/lisp/*
#rm {xemacs,mule}-packages/lisp/*/auto-autoloads.el~
%_xemacs_inplace -f batch-byte-recompile-directory xemacs-packages/lisp mule-packages/lisp

make #EMACSDEBUGPATHS=yes

%install
rm -rf %buildroot
# adjust mandir
%makeinstall mandir=%buildroot%{_mandir}/man1

# these clash with GNU Emacs
mv %buildroot%{_bindir}/{etags,etags.xemacs}
rm -f %buildroot%{_bindir}/{ctags,rcs-checkin,b2m}
rm %buildroot%{_mandir}/man1/{etags.1,ctags.1}

# move packages to buildroot
mkdir -p %buildroot%{pkgdir}
cp -rp xemacs-packages mule-packages %buildroot%{pkgdir}

# so as not to require /usr/local/bin/perl[5]
( cd %buildroot%{pkgdir}/xemacs-packages
  perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g; s|/usr/local/bin/perl|/usr/bin/perl|g;" \
	lisp/hyperbole/file-newer \
	etc/bbdb/*.pl
)

rm -f %buildroot%{_infodir}/dir

#These clash with other packages
rm -f %buildroot%{_infodir}/info*
rm -f %buildroot%{_infodir}/standards*
rm -f %buildroot%{_infodir}/termcap*

install -m 755 -d %buildroot%{_datadir}/applnk/Applications/Utilities
install -m 644 %SOURCE6 %buildroot%{_datadir}/applnk/Applications/Utilities/net-xemacs.desktop

# Lockdir
mkdir -p %buildroot%{_localstatedir}/lock/xemacs

# site-start.el
mkdir -p %buildroot%{pkgdir}/site-packages/lisp/site-start.d/
install -m 644 %SOURCE9 %buildroot%{pkgdir}/site-packages/lisp/site-start.el

# default.el
install -m 644 %SOURCE24 %buildroot%{pkgdir}/site-packages/lisp

# default user init file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel/.xemacs
install -m 0644 %SOURCE23 $RPM_BUILD_ROOT%{_sysconfdir}/skel/.xemacs/init.el

# icon
mkdir -p %buildroot%{_datadir}/pixmaps/
install -m 644 etc/xemacs-icon.xpm %buildroot%{_datadir}/pixmaps/xemacs.xpm

# Copy app defaults to X' app-defaults structure
%define xlocale %{_prefix}/X11R6/lib/X11
( cd %buildroot%{pkgdir}/mule-packages/etc/app-defaults/
  for i in de fr ro ; do
    mkdir -p %buildroot%{xlocale}/$i/app-defaults
    ln -s %{pkgdir}/mule-packages/etc/app-defaults/$i/Emacs %buildroot%{xlocale}/$i/app-defaults/ ;
  done )
mkdir -p %buildroot%{xlocale}/ja/app-defaults
mkdir -p %buildroot%{xlocale}/ko/app-defaults
mkdir -p %buildroot%{xlocale}/zh_CN/app-defaults
mkdir -p %buildroot%{xlocale}/zh_TW/app-defaults
install -m 644 %SOURCE16 %buildroot%{xlocale}/ja/app-defaults/Emacs
install -m 644 %SOURCE21 %buildroot%{xlocale}/ko/app-defaults/Emacs
install -m 644 %SOURCE20 %buildroot%{xlocale}/zh_CN/app-defaults/Emacs
install -m 644 %SOURCE15 %buildroot%{xlocale}/zh_TW/app-defaults/Emacs

# the header of this file is weird... and confuses dependency checking
chmod 0644 %buildroot%{pkgdir}/xemacs-packages/lib-src/pstogif

# Make sure nothing is 0400
chmod -R a+rX  %buildroot/usr

# filter out buildroot from finder-inf.el
perl -pi -e "s|%buildroot||" %buildroot%{_datadir}/xemacs-%{version}/lisp/finder-inf.el
[ -x %{_bindir}/xemacs ] && python %SOURCE22 %buildroot%{_datadir}/xemacs-%{version}/lisp/finder-inf.el

# separate files
rm -f *.files base-files el-files info-files
echo "%defattr(-,root,root)" > base-files
echo "%defattr(-,root,root)" > el-files
echo "%defattr(-,root,root)" > info-files

find %buildroot%{_datadir}/xemacs-%{version} %buildroot%{pkgdir} \( -type f -not -name '*.el' -fprint base-non-el.files \) -o \( -type d -name info -fprint info.files -prune \) -o \( -type d -fprintf dir.files "%%%%dir %%p\n" \) -o \( -name '*.el' \( -exec test -e '{}'c \; -fprint el-bytecomped.files -o -fprint base-el-not-bytecomped.files \) \)

# remove buildroot prefix from files
perl -pi -e "s|%buildroot||" *.files
# make site-packages lisp files config files
perl -pe 's|^(.+/site-packages/lisp/.+)$|%%config $1|' base-el-not-bytecomped.files
# combine the file lists
cat base-*.files dir.files >> base-files
cat el-*.files dir.files >> el-files
cat info.files >> info-files

%post info
for file in xemacs cl internals lispref new-users-guide; do
  /sbin/install-info %{_infodir}/$file.info %{_infodir}/dir
done
 
%postun info
if [ "$1" = "0" ]; then
  for file in xemacs cl internals lispref new-users-guide; do
    /sbin/install-info --delete %{_infodir}/$file.info %{_infodir}/dir
  done
fi

%files -f base-files
%defattr(-, root, root)
%doc INSTALL README COPYING GETTING.GNU.SOFTWARE PROBLEMS CHANGES-release
%doc etc/NEWS etc/MAILINGLISTS BUGS README.packages
%doc etc/TUTORIAL
%{_prefix}/X11R6/lib/X11/*
%{_bindir}/*
%{_libdir}/xemacs-%{version}
%{_datadir}/applnk/Applications/Utilities/*
%{_datadir}/pixmaps/xemacs.xpm
%config %{_sysconfdir}/skel/.xemacs
%{_mandir}/*/*
%attr(1777, root, root) %{_localstatedir}/lock/xemacs

%files el -f el-files
%defattr(-, root, root)

%files info -f info-files
%defattr(-, root, root)
%{_infodir}/*

%clean
rm -rf %buildroot


%changelog
* Mon May 31 2004 Shiro Yamada <shiro@miraclelinux.com> 21.4.13-2.ent.2AX
- disabled wnn support
- replaced default.el for canna initialisation

* Thu May 27 2004 Shiro Yamada <shiro@miraclelinux.com> 21.4.13-2.ent.1AX
- modified the menu item path for Asianux 1.0

* Tue Sep 16 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-2.ent
- update xemacs.desktop file (#104397) [reported by ubeck@c3pdm.com]

* Tue Sep  9 2003 Jens Petersen <petersen@redhat.com> - 21.4.13-1.ent
- update sumos to 2003-08-31
- don't remove mew and skk
- don't redundantly copy ja X resource file from mule-packages
- spec file cleanup
- backport the following changes to 21.4.12-11:

* Tue Sep  2 2003 Jens Petersen <petersen@redhat.com>
- move require-final-newline default setting to site-start.el
  and remove redundant setting of next-line-add-newlines in default.el
  (#102022) [reported by Ville Skyttä]

* Mon Jul 14 2003 Jens Petersen <petersen@redhat.com>
- build with --debug=yes by default (suggested by Ville Skyttä)

* Sun Jul 13 2003 Ville Skyttä <scop@xemacs.org>
- add xemacs-21.4.13-utf8-fontsets.patch to eliminate warning about missing
  charsets in utf-8 locale with Xaw

* Tue Jul  1 2003 Jens Petersen <petersen@redhat.com>
- catch harmless mouse-avoidance-mode errors (#65346)
  [suggested by Reuben Thomas]

* Fri Jun 27 2003 Jens Petersen <petersen@redhat.com>
- add xemacs-21.4.13-dump-paths-lispdir.patch, so that the source lisp files
  get re-bytecompiled and dumped, not the installed ones
- use Athena/Xaw3d instead of motif for dialogs and widgets
- buildrequirements fixes
- use _localstatedir

* Fri May 30 2003 Ville Skyttä <scop@xemacs.org>
- Have backup-by-copying-when-mismatch default to true in site-start.el.
- Mark init files as %%config.

* Thu May 29 2003 Jens Petersen <petersen@redhat.com>
- update to 21.4.13
  - rcs2log-update.patch no longer needed
- set system-uses-terminfo in default.el (#76102)
- default gnus-default-article-saver to mbox format (#90604)
- add aspell as ispell program in site-start.el (#88262)
- add rpmbuild option "--with gtk" allowing building with gtk

* Sat May 10 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-11
- build with system malloc on ppc64

* Tue Apr 22 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-10
- obsoletes ruby-mode-xemacs (#84673)
- move obsoletes xemacs-sumo-el to -el subpackage
- fix links in jde html documentation (#89499)

* Tue Apr 15 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-8
- comment out ja and ko menubar translations in X resource files for now,
  to avoid startup hanging in utf-8 locale (#88860)
- use default menubar font in ja and ko locale
- in a UTF-8 locale set default coding systems to utf-8 (partly #77130
  and #74227)
- set Info-directory-list in site-start.el again
- move psgml setup into site-start.el
- move previous contents of "dotxemacs-init.el" to new "default.el"

* Mon Mar 31 2003 Akira TAGOH <tagoh@redhat.com> 21.4.12-7
- Rebuild against the latest Canna.

* Thu Feb 20 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-6
- default browse-url to use htmlview and update psgml-html browser
  defaults (#84262)

* Tue Feb 11 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-5
- build with system-malloc on alpha and ia64
- skip redundant check-features target

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-4
- fix "libexec dir" to be under lib64 on multilib archs
- set default ftp to be non-kerberos in site-start.el
- update sumos to 2003-02-05
- mspec patch and rpm-spec-mode update no longer needed
- buildrequire autoconf213
- add ".xemacs/init.el" to /etc/skel
- skip redundant check-features target on s390 and s390x

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Jens Petersen <petersen@redhat.com> - 21.4.12-2
- fix `paths-emacs-root-p' (find-paths.el) to look in share not lib
- don't generate backup files when updating autoloads
- try startup notification in desktop file
- cleanup desktop file to use name XEmacs and add encoding key

* Fri Jan 17 2003 Jens Petersen <petersen@redhat.com> 21.4.12-1
- update to 21.4.12 bugfix release (21.4 series now declared stable branch)
- renumbered sumo package patches to be greater than 100
- install sumo packages by copying rather than moving
- patch sh-script.el to append m?spec entry to auto-mode-alist 
- avoid ppc.ldscript and build on ppc
- remove games that we shouldn't ship
- update to latest rcs2log
- update to latest rpm-spec-mode.el
- use _smp_mflags for lib-src and src
- run batch-update-directory and batch-byte-recompile-directory on sumo lisp
  dirs
- improve datadir/xemacs-version/ ownership

* Sat Jan  4 2003 Jens Petersen <petersen@redhat.com> 21.4.11-1
- update to 21.4.11
- don't configure with union-type, since it causes runtime problems apparently
- only do postun info dir deletions when uninstalling

* Wed Jan  1 2003 Jens Petersen <petersen@redhat.com> 21.4.10-6
- move apel to separate package and require it
- renamed psgml-init.el-xemacs to xemacs-psgml-init.el
- use datadir in site-start.el
- really include the movemail mkstemp patch
- use mapc to load site-start.d files

* Tue Dec 31 2002 Ville Skyttä <scop@xemacs.org>
- New Sumos (2002-12-30).
- Use `construct-emacs-version-name' in `paths-emacs-root-p' (find-paths.el),
  fixing "Couldn't find obvious default for XEmacs hierarchy" warnings
  (as in XEmacs 21.5).
- Move site-start stuff to site-packages.
- Don't set Info-directory-list in site-start.el.
- Don't use --pkgdir, it's ignored.  Don't pass pkgdir to makeinstall.
- Fix source tarball URLs.
- Don't override the defcustom in psgml-init.el, set its default value instead.
- Add rpmbuild option: "--with debug" for building a debug-enabled XEmacs.

* Sun Dec 29 2002 Jens Petersen <petersen@redhat.com>
- updates package sumos to 2002-12-26 release

* Mon Dec 23 2002 Jens Petersen <petersen@redhat.com> 21.4.10-5
- patch find-paths.el to search in datadir
- setup lisp packages under datadir not libdir
- use buildroot macro instead of RPM_BUILD_ROOT
- drop local configure macro
- fix buildrequires and requires
- list configure options one-per-line
- improve psgml-init.el catalog setup
- remove and add lisp packages with package-admin
- rebyte-compile lisp packages
- keep etags as etags.xemacs (#78106)
- don't bother removing non-existent udp2tcp nor .cvsignore files
- simply filelist generation to a single find search pass
- put core .el files in -el package
- put package info files into -info package
- don't create backup files when patching in lisp packages tree
- don't explicitly gzip lisp package info files
- don't mark the applications files noreplace
- exclude ppc, since __init_array_start undefined

* Wed Dec 18 2002 Jens Petersen <petersen@redhat.com>
- patch egg-wnn to default to unix domain socket (#79826)
  [patch from ynakai@redhat.com]
- add ia64 patch from SuSE
- use mkstemp in movemail

* Tue Nov 19 2002 Jens Petersen <petersen@redhat.com>
- apply jlatex autodetect patch correctly and drop append to tex-site.el
- default to pTeX and pLaTeX for Japanese TeX and LaTeX

* Mon Nov 18 2002 Jens Petersen <petersen@redhat.com> 21.4.10-3
- backout uncommenting of deactivate-mark (#77696)
- update psgml dtd catalog path in psgml-init.el (#78022)
  [reported by ville.skytta@iki.fi]
- build with --use-union-type (#78024)
  [suggested by ville.skytta@iki.fi]

* Fri Nov 15 2002 Jens Petersen <petersen@redhat.com>
- fix autodetection of jlatex (#69129)

* Tue Nov 12 2002 Elliot Lee <sopwith@redhat.com> 21.4.10-2
- build on x86_64

* Mon Nov 11 2002 Jens Petersen <petersen@redhat.com> 21.4.10-1
- update to 21.4.10
- update sumos to 2002-09-19
- no longer backout mule-ucs package
- encode this file in utf-8
- xemacs-21.1.14-xfs.patch no longer needed
- use _libdir, _datadir, _bindir, _prefix
- exclude x86_64 (requires Canna)
- own /usr/lib/xemacs/{,mule-packages} and /usr/X11R6/lib/X11/<locale> (#73982)
  [reported by enrico.scholz@informatik.tu-chemnitz.de]
- fix default italic font size (#75275)
  [reported with fix by ville.skytta@iki.fi]
- update ja menubar translations in ja locale X resource file (#76068)
  [from ynakai@redhat.com]
- update ko locale X resource file (#76072) [from ynakai@redhat.com]
- add pkgdir rpm macro for packages dir
- uncomment deactivate-mark in simple.el (#77696)

* Mon Aug 26 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-16
- some cleanups - and remove the info tarball, it's now part 
  of the base tarball. Wow, the package gets smaller. (#72480)

* Mon Aug 19 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-15
- Bug in specfile from -14 gave bug on startup (#71743)

* Thu Aug 15 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-14
- Use utf-8 by default for input/output (#71584 )
- Make it not segfault when handling utf-8 (#71589)

* Wed Aug  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-13
- Add openmotif-devel to buildrequires, as it will use it for widgets 
  if it finds it

* Fri Aug  2 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-12
- Don't package po-mode separately, it's now in sumo
- Compile with drag'n'drop support
- Use the bundled rpm-spec-mode, it has some adaptions for XEmacs

* Wed Jul 31 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-11
- Don't use a separate ispell.el file anymore - the included one is newer
- Fix html-mode (#64826)

* Tue Jul 23 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-10
- Update lisp tarballs
- desktop file fixes (#69542)
- Add bdb support (#65640)

* Mon Jul  8 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-9
- Make it provide ruby-mode-xemacs (request from tagoh)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-7
- #66835

* Wed May 29 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-6
- Make it build... Evil.
- Exclude IA64
- Upgrade sumo tarballs to 2002-05-22

* Fri May 24 2002 Jens Petersen <petersen@xemacs.org> 21.4.8-5
- Build using portable dumper, so that build with glibc-2.3 malloc is ok

* Mon May 13 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-2
- Remove the s390 patches so it builds on s390 :)

* Fri May 10 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.8-1
- 21.4.8

* Tue May  7 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-9
- Rebuild... chmod -x pstogif to work around an rpm bug until 
  it's fixed (#64320)

* Tue Apr 23 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-8
- New sumo packages

* Thu Feb 21 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-7
- Rebuild

* Tue Jan 29 2002 Jens Petersen <petersen@redhat.com> 21.4.6-6
- Remove skk package, since it conflicts with ddskk-xemacs (newer)

* Thu Jan 24 2002 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-5
- New sumos

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-3
- Fix fontlist pattern in Emacs.ad.Japanese.
- CHANGES-beta is now CHANGES-release.
- Obsolete xemacs-sumo xemacs-sumo-el

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-2
- Don't obsolete flim.

* Mon Dec 17 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.4.6-1
- 21.4.6
- New sumo packages
- disable alpha

* Wed Nov 14 2001 Jens Petersen <petersen@redhat.com> 21.4.5-2
- Add -znocombreloc configure option to override new ld default.

* Tue Nov  6 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.4.5-1
- 21.4.5. It builds on IA64 and fixes #55578

* Thu Oct 18 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-26
- Updated the sumo tarballs

* Tue Oct 16 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-25
- Separeted an elisp of mew.

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 21.1.14-24
- fix to build on s390/s390x

* Fri Sep 14 2001 Jens Petersen <petersen@redhat.com> 21.1.14-23
- Restored teg's name in changelogs
- Added xemacs file variable for encoding at start of file to avoid this
  happening again
- Restored (obsolete) atype.el and file-detect.el into apel-10.3 package,
  required by semi through rmail dependency

* Fri Sep  7 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-22
- Fixed provide version of apel
- Fixed replaced apel.

* Thu Sep  6 2001 Jens Petersen <petersen@redhat.com> 21.1.14-21
- replaced apel-10.2 from sumo with apel-10.3

* Mon Aug 27 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-20
- Remove buildroot-paths from finder-inf.el
- remove various multibyte comments from finder-inf.el if necessary, 
  so it will compile even if XEmacs is installed. (#51985)

* Wed Jul 25 2001 Trond Eivind Glomsrød <teg@redhat.com> 21.1.14-19
- Added app-defaults for Korean and simplified Chineese
  (#49857)

* Fri Jul 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Don't have a special configure define for alpha anymore - 
  they converged, and weren't different anymore. (#49209)

* Thu Jul 12 2001 Trond Eivind Glomsrød <teg@redhat.com>
- add more libraries to buildprereq
- replace individually updated lisppackages with the official collection

* Mon Jul  9 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Reenable canna and wnn

* Tue Jun 26 2001 SATO Satoru <ssato@redhat.com>
- Wanderlust and SEMI are splitted off (wl-xemacs, semi-xemacs)

* Fri Jun 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Use fontset in the resource file, since we use "--with-xfs" (#45499)
- Include po-mode, adjusted for XEmacs by 
  enrico.scholz@informatik.tu-chemnitz.de

* Wed Jun 20 2001 Trond Eivind Glomsrød <teg@redhat.com>
- More dependencies added to buildrequires
- disable wl-init.el, as we don't want to load mime-setup
- cleanups in site-start.el

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- merge s390x patch from <oliver.paukstadt@millenux.com>

* Mon Jun  4 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Make it build (don't run autoconf, disable Japanese)
- New rpm-spec-mode which fixes #43323

* Tue Apr 24 2001 Trond Eivind Glomsrød <teg@redhat.com>
- New sumo packages

* Mon Mar 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed semi's mailcap issues.

* Fri Mar 16 2001 Trond Eivind Glomsrød <teg@redhat.com>
- remove the mailcap lisp files from semi-xemacs - they break stuff
- don't include our own sh-script files anymore, bash is now bash2

* Thu Mar  8 2001 Akira TAGOH <tagoh@redhat.com>
- 21.1.14-8
- Merged semi-xemacs into the main package, as
  wl (already bundled) needs it.
- Fixed the byte-compile for wl.

* Fri Mar 02 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Feb 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- minor fixes to psgml-init.el

* Mon Feb 12 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Move eieio.el to the main package (#26753)
- Prereq info

* Thu Feb  8 2001 Trond Eivind Glomsrød <teg@redhat.com>
- add init file for mew

* Mon Feb  5 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Obsolete xemacs-static

* Fri Feb 02 2001 Trond Eivind Glomsrød <teg@redhat.com>
- obsolete xemacs-noX and xemacs-mule

* Sun Jan 29 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.14

* Wed Jan 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- enable Wanderlust

* Tue Jan 23 2001 Trond Eivind Glomsrød <teg@redhat.com>
- added Japanese support to .desktop file

* Mon Jan 22 2001 Trond Eivind Glomsrød <teg@redhat.com>
- enable canna, wnn4, wnn6
- improve app-defaults file for Japanese and traditional
  Chineese

* Fri Jan 19 2001 Trond Eivind Glomsrød <teg@redhat.com>
- turn on --with-xfs to improve support for Japanese
- copy the app-defaults to /usr/X11R6/lib/X11/app-defaults
- add app-defaults for traditional Chineese

* Mon Jan 08 2001 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.13
- update the rpm spec mode
- removed the alpha patch
- remove the elc sourcefile, these can be generated during the build 
  process

* Tue Jan 02 2001 Trond Eivind Glomsrød <teg@redhat.com>
- make sure it doesn't use canna, wnn or wnn6 by default

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- bzip2 sources

* Tue Dec 12 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix psgml mode by adding the psgml-init.el file from the
  psgml package. Should fix #21827
- add rpm-spec-mode

* Sat Dec 09 2000 Than Ngo <than@redhat.com>
- added s390 port

* Mon Dec 04 2000 Trond Eivind Glomsrød <teg@redhat.com>
- make sure that the info pages in /usr/lib/xemacs/mule-packages/info/ 
  are compressed

* Fri Dec 01 2000 Trond Eivind Glomsrød <teg@redhat.com>
- add "--with-xim=xlib" to configure to avoid linking with Motif

* Thu Nov 30 2000 Trond Eivind Glomsrød <teg@redhat.com>
- move site-start.el to /usr/lib/xemacs/xemacs-packages/lisp/site-start.el
  (it shouldn't depend on xemacs version)
- add new directory  /usr/lib/xemacs/xemacs-packages/lisp/site-start.d
- change run .el files here on startup 
- revert to "normal" xemacs 

* Tue Nov 28 2000 Trond Eivind Glomsrød <teg@redhat.com>
- fix the "restore cursor" problem I submitted myself before I
  started here(#9853). Sometimes, you're digging your own grave
  without even knowing.

* Tue Nov 14 2000 Trond Eivind Glomsrød <teg@redhat.com>
- new sumo tarballs
- new xemacs tarball
- fixing of the improved .desktop file 
- include xemacs.png file (from kdebase) to be used with
  above file

* Tue Oct 17 2000 Trond Eivind Glomsrød <teg@redhat.com>
- new and better xemacs.desktop file

* Tue Oct 10 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use xemacs package from 2000-09-25
- move tex-site.el to main package (#18494)

* Tue Sep 12 2000 Trond Eivind Glomsrød <teg@redhat.com>
- remove README.i386-pc-linux - it's no longer anywhere
  near accurate
- update sumo package to 2000-09-04
- use mule by default, like we do for GNU Emacs
- use gtk-xemacs - it's in the XEmacs cvs now
- move the xemacs desktop file to "Applications"
- specify ldap (it was just detected before)
- enable native sound
- remove a binary which somehow had made it into the lisp package,
  compiled with libraries we don't have

* Thu Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- change locking mechanism to lockf

* Thu Aug 17 2000 Trond Eivind Glomsrød <teg@redhat.com>
- use ispell.el from GNU Emacs, which work better
  than the ones found at the xemacs ftp site or at the 
  author's site. Fixes bug #16071

* Sun Aug 06 2000 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.12 bugfix release
- removed security patch as it is now included
- gzip info packages in the package directory

* Tue Jul 18 2000 Trond Eivind Glomsrød <teg@redhat.com>
- 21.1.11
- upgrade(? - it wasn't specified) to sumo tarball from 2000-05-24
- add a sitestart.rl file, for configuration of info and spelling
- fixed the ownership of lots of package directories (#14197)
- disabled ia64 patch as they know have their own support...
- ... which doesn't work. Excludearch coming up.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- don't use xemac to compile some lisp-source in byte code 

* Sun Jul 02 2000 Trond Eivind Glomsrød <teg@redhat.com>
- include the files in the %%{_infodir}, not the directory

* Wed Jun 28 2000 Than Ngo <than@redhat.de>
- add xemacs-extras xemacs-packages-el xemacs-packages in obsoletes
  to resolse conflicts (#13120)
- add missing stuff (#13176)

* Tue Jun 27 2000 Trond Eivind Glomsrød <teg@redhat.com>
- don't specify -O0
- do it anyway for IA64

* Tue Jun 20 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Tue Jun 20 2000 Trond Eivind Glomsrød <teg@redhat.com>
- override optflags, use -O0 to avoid compiler bugs
  (last build, actually)
- don't include some info files which clash with others

* Mon Jun 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- redid most of the spec file

* Mon Jun 19 2000 Trond Eivind Glomsrød <teg@redhat.com>
- build in the main tree
- disabled static package (it was partially disabled...)
- don't change ownership while installing
- updated some of the documentation (s/21.1.8/21.1.10/)
- don't build on IA64
- use %%{_mandir} instead of hardcoding /usr/share/man

* Mon May 29 2000 Ngo Than <than@redhat.de>
- update to 2.1.10 for 7.0
- fix permission
- put man pages in correct place
- fix xemacs to build with gcc-2.96 (thanks Jakub)

* Wed May 24 2000 Ngo Than <than@redhat.de>
- fix a security problem in key strokes.
- fix a permission problem. XEmacs doesn't set proper permissions for the slave PTY device.
- remove xemacs static

* Thu Mar 23 2000 Ngo Than <than@redhat.de>
- updated to 21.1.9

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fixed Bug #7694, #9149

* Tue Jan 18 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space
- fixed so that alpha builds properly
- removed the --with-xface stuff.

* Wed Dec 1 1999 Tim Powers <timp@redhat.com>
- updated to 21.1.8
- gzip man pages
- now builds for alpha :)

* Thu Oct 21 1999 Cristian Gafton <gafton@redhat.com>
- include /var/lock/xemacs as the lockdir to make it stop whining

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- fixed problem with dirs not being removed during uninstall

* Sun Jul 11 1999 Tim Powers <timp@redhat.com>
- updated to version 21.1.4
- added the elc and info src.
- modified spec as needed
- had a beer after building

* Fri May 14 1999 Cristian Gafton <gafton@redhat.com>
- version 21.1.2
- require ctags

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2, didn't use a pre update. 

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated to 20.4
- new package xemacs-mule with mule support
- Changed spec file almost completely

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- refixed perl problem.
- added wmconfig

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- configure for ncurses
- removed sound support on i386
- moved buildroot to /var/tmp
